#include <avr/io.h>
#include <util/delay.h>
#include <avr/sleep.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>

#include "lights.h"

void hw_setup()
{
	init_pwm();
	init_adc();
	init_tmr();
	init_buttons();

	pwmled_init();
	gpio_init();
	ambient_init();
	pattern_init();

	set_sleep_mode(SLEEP_MODE_IDLE);
}

int main(void)
{
	log_init();
	wdt_enable(WDTO_1S);

	_delay_ms(100);

	hw_setup();

	log_set_state(3);

	sei();
#if 1
	while (1) {
		wdt_reset();
		sleep_mode();
	}
#endif

#if 0
	DDRB |= _BV(PB2);
	while (1) {
		PORTB |=  _BV( PB2 );
		_delay_ms(200);
		PORTB &=~ _BV( PB2 );
		_delay_ms(200);
	}
#endif
}
